{
  "name": "wo/work_in_progress.json",
  "database": "4d",
  "option": {
    "ZZ save_data_file_name": "work_in_progress_cost_data.json"
  },
  "subquery": [
    {
      "query": "query/wpa/work_in_progress_work_self_cost.json",
      "name": "qry_work_self_cost"
    },
    {
      "query": "query/por/work_in_progress_material_self_cost.json",
      "name": "qry_material_self_cost_por"
    },
    {
      "query": "query/wme/work_in_progress_material_self_cost.json",
      "name": "qry_material_self_cost_wme__unit"
    },
    {
      "query": "query/por/work_in_progress_subcontract_self_cost.json",
      "name": "qry_subcontract_self_cost"
    }
  ],
  "parameter": {
    "open_state": ["EK", "KU", "AL", "PY"],
    "exclude_work": ["08687", "08688", "08689", "02101", "07056"]
  },
  "query": [
    ["wo_state", "in", "open_state"],
    "and",
    ["wo_work__position_num_id", "not in", "exclude_work"]
  ],
  "order": [
    "pr_product_group",
    ">",
    "wo_production_lot",
    ">",
    "wo_row_number",
    ">"
  ],
  "field": [
    "wo_company_id",
    "wo_state",
    "wo_work__position_num_id",
    "pr_product_group",
    "wo_drawing_number",
    "wo_production_lot",
    "wo_row_number",
    "wo_creation_date",
    "wo_material_act_arrival_date",
    "wo_started_amount",
    "wo_remaining_amount",
    "wo_produced_amount",
    "wo_failed_amount",
    "wo_sales_price__unit",
    "pr_product_id",
    "pr_name",
    "pr_production_control_type",
    "pr_stock_balance__unit"
  ]
}
